<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'StartSignature' => '\\StructType\\StartSignature',
            'StartSignatureResponse' => '\\StructType\\StartSignatureResponse',
            'StartSignatureTemplate' => '\\StructType\\StartSignatureTemplate',
            'StartSignatureTemplateResponse' => '\\StructType\\StartSignatureTemplateResponse',
            'StartSignatureTemplateEx' => '\\StructType\\StartSignatureTemplateEx',
            'StartSignatureTemplateExResponse' => '\\StructType\\StartSignatureTemplateExResponse',
            'EndSignature' => '\\StructType\\EndSignature',
            'EndSignatureResponse' => '\\StructType\\EndSignatureResponse',
            'StartBatchSignature' => '\\StructType\\StartBatchSignature',
            'StartBatchSignatureResponse' => '\\StructType\\StartBatchSignatureResponse',
            'EndBatchSignature' => '\\StructType\\EndBatchSignature',
            'EndBatchSignatureResponse' => '\\StructType\\EndBatchSignatureResponse',
            'AddDocument' => '\\StructType\\AddDocument',
            'AddDocumentResponse' => '\\StructType\\AddDocumentResponse',
            'AddDocumentTemplate' => '\\StructType\\AddDocumentTemplate',
            'AddDocumentTemplateResponse' => '\\StructType\\AddDocumentTemplateResponse',
            'AddDocumentTemplateEx' => '\\StructType\\AddDocumentTemplateEx',
            'AddDocumentTemplateExResponse' => '\\StructType\\AddDocumentTemplateExResponse',
            'GetDocument' => '\\StructType\\GetDocument',
            'GetDocumentResponse' => '\\StructType\\GetDocumentResponse',
            'GetCertificate' => '\\StructType\\GetCertificate',
            'GetCertificateResponse' => '\\StructType\\GetCertificateResponse',
            'UploadTemplate' => '\\StructType\\UploadTemplate',
            'UploadTemplateResponse' => '\\StructType\\UploadTemplateResponse',
            'ReplaceTemplate' => '\\StructType\\ReplaceTemplate',
            'ReplaceTemplateResponse' => '\\StructType\\ReplaceTemplateResponse',
            'GetTemplate' => '\\StructType\\GetTemplate',
            'GetTemplateResponse' => '\\StructType\\GetTemplateResponse',
            'DeleteTemplate' => '\\StructType\\DeleteTemplate',
            'DeleteTemplateResponse' => '\\StructType\\DeleteTemplateResponse',
            'ListTemplate' => '\\StructType\\ListTemplate',
            'ListTemplateResponse' => '\\StructType\\ListTemplateResponse',
            'DoP12Signature' => '\\StructType\\DoP12Signature',
            'DoP12SignatureResponse' => '\\StructType\\DoP12SignatureResponse',
            'DoP12SignatureTemplate' => '\\StructType\\DoP12SignatureTemplate',
            'DoP12SignatureTemplateResponse' => '\\StructType\\DoP12SignatureTemplateResponse',
            'DoP12SignatureTemplateEx' => '\\StructType\\DoP12SignatureTemplateEx',
            'DoP12SignatureTemplateExResponse' => '\\StructType\\DoP12SignatureTemplateExResponse',
            'getWBPK' => '\\StructType\\GetWBPK',
            'getWBPKResponse' => '\\StructType\\GetWBPKResponse',
        );
    }
}
