<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Do ServiceType
 * @subpackage Services
 */
class _Do extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named DoP12Signature
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DoP12Signature $parameters
     * @return \StructType\DoP12SignatureResponse|bool
     */
    public function DoP12Signature(\StructType\DoP12Signature $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DoP12Signature($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DoP12SignatureTemplate
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DoP12SignatureTemplate $parameters
     * @return \StructType\DoP12SignatureTemplateResponse|bool
     */
    public function DoP12SignatureTemplate(\StructType\DoP12SignatureTemplate $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DoP12SignatureTemplate($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DoP12SignatureTemplateEx
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DoP12SignatureTemplateEx $parameters
     * @return \StructType\DoP12SignatureTemplateExResponse|bool
     */
    public function DoP12SignatureTemplateEx(\StructType\DoP12SignatureTemplateEx $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DoP12SignatureTemplateEx($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\DoP12SignatureResponse|\StructType\DoP12SignatureTemplateExResponse|\StructType\DoP12SignatureTemplateResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
